Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.messagebox.model
Class Message

    java.lang.Object
      org.teleal.cling.support.messagebox.model.Message

All Implemented Interfaces:
  ElementAppender

Direct Known Subclasses:
  MessageIncomingCall, MessageScheduleReminder, MessageSMS

    public abstract class Message

extends Object
implements ElementAppender

https://sourceforge.net/apps/mediawiki/samygo/index.php?title=MessageBoxService_request_format

Author:
  Christian Bauer

Nested Class Summary
`static class` | `Message.Category`
`static class` | `Message.DisplayType`

Field Summary
`protected Random` | `randomGenerator`

Constructor Summary
`Message(int id, Message.Category category, Message.DisplayType displayType)`
`Message(Message.Category category, Message.DisplayType displayType)`

Method Summary
`boolean` | `equals(Object o)`
`Message.Category` | `getCategory()`
`Message.DisplayType` | `getDisplayType()`
`int` | `getId()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.teleal.cling.support.messagebox.model.ElementAppender
`appendMessageElements`

Field Detail

### randomGenerator

    protected final Random randomGenerator

Constructor Detail

### Message

    public Message(Message.Category category,
                   Message.DisplayType displayType)

### Message

    public Message(int id,
                   Message.Category category,
                   Message.DisplayType displayType)

Method Detail

### getId

    public int getId()

### getCategory

    public Message.Category getCategory()

### getDisplayType

    public Message.DisplayType getDisplayType()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.